org.apache.solr.schema

## Enum IndexSchema.SchemaProps.Handler

- java.lang.Object
- - java.lang.Enum<IndexSchema.SchemaProps.Handler>
  - - org.apache.solr.schema.IndexSchema.SchemaProps.Handler

- All Implemented Interfaces:
    Serializable, Comparable<IndexSchema.SchemaProps.Handler>
  Enclosing class:
    IndexSchema.SchemaProps

      public static enum IndexSchema.SchemaProps.Handler
      extends Enum<IndexSchema.SchemaProps.Handler>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COPY_FIELDS`
    `DEFAULT_SEARCH_FIELD`
    `DYNAMIC_FIELDS`
    `FIELD_TYPES`
    `FIELDS`
    `NAME`
    `SIMILARITY`
    `SOLR_QUERY_PARSER`
    `UNIQUE_KEY`
    `VERSION`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `nameLower`
    `String` | `realName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNameLower()`
    `String` | `getRealName()`
    `static IndexSchema.SchemaProps.Handler` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IndexSchema.SchemaProps.Handler[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NAME

          public static final IndexSchema.SchemaProps.Handler NAME

    - #### VERSION

          public static final IndexSchema.SchemaProps.Handler VERSION

    - #### UNIQUE_KEY

          public static final IndexSchema.SchemaProps.Handler UNIQUE_KEY

    - #### DEFAULT_SEARCH_FIELD

          public static final IndexSchema.SchemaProps.Handler DEFAULT_SEARCH_FIELD

    - #### SOLR_QUERY_PARSER

          public static final IndexSchema.SchemaProps.Handler SOLR_QUERY_PARSER

    - #### SIMILARITY

          public static final IndexSchema.SchemaProps.Handler SIMILARITY

    - #### FIELD_TYPES

          public static final IndexSchema.SchemaProps.Handler FIELD_TYPES

    - #### FIELDS

          public static final IndexSchema.SchemaProps.Handler FIELDS

    - #### DYNAMIC_FIELDS

          public static final IndexSchema.SchemaProps.Handler DYNAMIC_FIELDS

    - #### COPY_FIELDS

          public static final IndexSchema.SchemaProps.Handler COPY_FIELDS

  - ### Field Detail

    - #### realName

          public final String realName

    - #### nameLower

          public final String nameLower

  - ### Method Detail

    - #### values

          public static IndexSchema.SchemaProps.Handler[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexSchema.SchemaProps.Handler c : IndexSchema.SchemaProps.Handler.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexSchema.SchemaProps.Handler valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getRealName

          public String getRealName()

    - #### getNameLower

          public String getNameLower()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.